Bug 200044 - [MAINTAINER] sysutils/py-salt : Update to 2015.5.1
Summary: [MAINTAINER] sysutils/py-salt : Update to 2015.5.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Johannes Jost Meixner
URL:
Keywords: needs-patch, patch, security
Depends on: 200085 200172 200233 200339
Blocks:
  Show dependency treegraph
 
Reported: 2015-05-08 02:09 UTC by Christer Edwards
Modified: 2015-05-24 03:47 UTC (History)
6 users (show)

See Also:
robak: maintainer-feedback? (christer.edwards)


Attachments
patch edit: obsolete. see updated patch (156.84 KB, text/plain)
2015-05-08 02:09 UTC, Christer Edwards
no flags Details
patch - updated (156.84 KB, patch)
2015-05-08 02:23 UTC, Christer Edwards
no flags Details | Diff
QA (default options) (341.19 KB, text/plain)
2015-05-08 02:23 UTC, Christer Edwards
no flags Details
QA - zeromq option (341.19 KB, text/plain)
2015-05-08 02:23 UTC, Christer Edwards
no flags Details
QA - raet transport (340.78 KB, text/plain)
2015-05-08 02:24 UTC, Christer Edwards
no flags Details
2015.5.1 patch (46.79 KB, patch)
2015-05-24 03:01 UTC, Christer Edwards
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Christer Edwards 2015-05-08 02:09:27 UTC
Created attachment 156490 [details]
patch

edit: obsolete. see updated patch

This patch upgrades sysutils/py-salt to 2015.5.0. It is quite a large patch, incorporating options to support the ZeroMQ and/or RAET transports.
Comment 1 Christer Edwards 2015-05-08 02:23:04 UTC
Created attachment 156491 [details]
patch - updated
Comment 2 Christer Edwards 2015-05-08 02:23:33 UTC
Created attachment 156492 [details]
QA (default options)
Comment 3 Christer Edwards 2015-05-08 02:23:56 UTC
Created attachment 156493 [details]
QA - zeromq option
Comment 4 Christer Edwards 2015-05-08 02:24:20 UTC
Created attachment 156494 [details]
QA - raet transport
Comment 5 Bartek Rutkowski freebsd_committer 2015-05-09 21:59:25 UTC
This port depends on py-raet port, but such does not exist in ports tree - do you have another submission waiting?
Comment 6 Christer Edwards 2015-05-10 00:33:30 UTC
Yes, apologies, I forgot to submit the py-raet port. I will submit now.
Comment 7 Christer Edwards 2015-05-10 00:39:35 UTC
net/py-raet port submission

https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=200085
Comment 8 Kubilay Kocak freebsd_committer freebsd_triage 2015-05-14 02:40:53 UTC
Sorry for the noise, and this noise :)
Comment 9 Jason Unovitch freebsd_committer 2015-05-16 01:28:11 UTC
For maintainer,

1.  I updated the security/vuxml PR for you in https://bugs.freebsd.org/200172 for you based off the release notes.  Hope that helps.  I'm looking forward to getting this update into ports.

2.  I saw this error with security/py-libnacl and the RAET option.  I've submitted PR 200233 (https://bugs.freebsd.org/200233) to update security/py-libnacl from 1.4.0 to 1.4.2.

===>   py27-salt-2015.5.0 depends on package: py27-libnacl>=1.4.2 - not found
===>   Found py27-libnacl-1.4.0, but you need to upgrade to py27-libnacl>=1.4.2.
*** [run-depends] Error code 1

3.  After fixing that, I ran into this issue with devel/py-ioflo.  Your QA build logs show this.  It appears your running a newer version of devel/py-ioflo than the 1.0.2 currently in ports.  Can you open a PR for that?  I attempted to update to 1.2.4 but it didn't build just from updating the version and distinfo so I figured I would ask for your patch first.

===>   Returning to build of py27-salt-2015.5.0
===>   py27-salt-2015.5.0 depends on package: py27-ioflo>=1.2.1 - not found
===>    Verifying install for py27-ioflo>=1.2.1 in /usr/ports/devel/py-ioflo
===>   py27-salt-2015.5.0 depends on package: /packages/All/py27-ioflo-1.2.4.txz - not found
===>   USE_PACKAGE_DEPENDS_ONLY set - not building missing dependency from source
*** Error code 1

For all
1. security/vuxml -- needs to get updated -- https://bugs.freebsd.org/200172
2. security/py-libnacl -- needs to update before this can be applied -- https://bugs.freebsd.org/200233
3. devel/py-ioflo -- needs to update before this can be applied -- PR TBD

Jason
Comment 10 Kubilay Kocak freebsd_committer freebsd_triage 2015-05-18 12:25:18 UTC
Pending updated patches as per comment #9

Robak, can you drive this issue to resolution from here?
Comment 11 Bartek Rutkowski freebsd_committer 2015-05-18 12:37:07 UTC
Unfortunately, I cant, because the maintainer havent yet responded to comment #9 and I personally dont understand it clearly.
Comment 12 Kubilay Kocak freebsd_committer freebsd_triage 2015-05-18 12:47:57 UTC
"Drive" in this context doesn't mean commit. As the current assignee, you can re-triage the issue to get the information/feedback you need.

In this case, set maintainer-feedback flag to ?, so it can then timeout if no response is heard
Comment 13 Jason Wolfe 2015-05-18 20:25:52 UTC
Testing this new version spits this out on startup (The minion to function without despite the unknown call failing)

Exception TypeError: "'NoneType' object is not callable" in <function _removeHandlerRef at 0x8056fd050> ignored

This is surely an upstream issue, but it seems to be something isolated to FreeBSD.  If I can root it out we can hopefully fix it upstream, but I just wanted to note it here on the off chance we need to maintain a patch before this is pushed.
Comment 14 Christer Edwards 2015-05-19 01:57:00 UTC
So I'm currently running this release based on the submitted patch without issue. I have the following versions installed:

           Salt: 2015.5.0
         Python: 2.7.9 (default, Apr  8 2015, 07:01:13)
         Jinja2: 2.7.3
       M2Crypto: 0.22
 msgpack-python: 0.4.2
   msgpack-pure: Not Installed
       pycrypto: 2.6.1
        libnacl: 1.4.2
         PyYAML: 3.11
          ioflo: 1.2.1
          PyZMQ: 14.5.0
           RAET: 0.6.3
            ZMQ: 4.0.5
           Mako: Not Installed

In reference to devel/py-ioflo, would you like me to submit a patch for the 1.2.1 version that I have installed?
Comment 15 Jason Unovitch freebsd_committer 2015-05-19 10:03:01 UTC
(In reply to christer.edwards from comment #14)

Hello Christer,

Either devel/py-ioflo needs a PR to update it or the patch in the Makefile that requires version >= 1.2.1 needs to be changed (below).  FYI, version 1.2.4 is available on pypi.python.org.  It would make sense for a PR to bump it up to that.

+		${PYTHON_PKGNAMEPREFIX}ioflo>=1.2.1:${PORTSDIR}/devel/py-ioflo \

Thanks.

Jason
Comment 16 Christer Edwards 2015-05-20 00:12:41 UTC
I have submitted #200339 to update devel/py-ioflo to 1.2.4 as suggested.
Comment 17 Jason Unovitch freebsd_committer 2015-05-22 11:14:50 UTC
Christer, Thanks!  I've been running the updated Salt most of the week now.  

Robak@, this PR and the vuxml PR in https://bugs.freebsd.org/200172 are ready to go.

Jason
Comment 18 Christer Edwards 2015-05-24 03:01:34 UTC
Created attachment 157094 [details]
2015.5.1 patch
Comment 19 commit-hook freebsd_committer 2015-05-24 03:26:17 UTC
A commit references this bug:

Author: xmj
Date: Sun May 24 03:25:46 UTC 2015
New revision: 387241
URL: https://svnweb.freebsd.org/changeset/ports/387241

Log:
  sysutils/py-salt: upgrade to 2015.5.1

  - upgrade to 2015.5.1
  - add options for raet, and zeromq

  PR:		200044
  Submitted by:	Christer Edwards <christer.edwards@gmail.com>

Changes:
  head/sysutils/py-salt/Makefile
  head/sysutils/py-salt/distinfo
  head/sysutils/py-salt/files/patch-salt__grains__core.py
  head/sysutils/py-salt/files/patch-salt__utils____init__.py
  head/sysutils/py-salt/files/patch-setup.py
  head/sysutils/py-salt/files/pkg-message.in
  head/sysutils/py-salt/pkg-plist
Comment 20 Johannes Jost Meixner freebsd_committer 2015-05-24 03:47:06 UTC
Committed, with minor changes. Thanks!